/*************** Practica 04. Especificacion clase Servidor *******************
 *
 *  Nombre de Fichero: Servidor.h
 *
 *  Proposito: Declaracion de la interfaz de la clase servidor
 *
 *****************************************************************************/

const double ATENCION = 60;  // tiempo medio de atencin en el servidor

class Servidor
{
   public:
      //Tipo de datos de los elementos de la cola
      typedef double Valor;
      //constructor
      Servidor (void);
      //El servidor atiende al cliente
      void AtenderCliente(Servidor::Valor);
      //Indica si el servidor est libre u ocupado
      bool Ocupado(Servidor::Valor);
      //Muestra las estadsticas del servidor
      void Estadisticas(Servidor::Valor, Servidor::Valor);
   private:
      // Variables para el clculo de las estadsticas del servidor
      int clientes_atendidos; // nmero de clientes atendidos por el servidor
      Servidor::Valor ocupado_hasta, // cuando est libre el servidor
      tiempo_total_atencion; //tiempo total que el servidor pasa atendiendo clientes
      //Simula cuanto tardar el servidor en atender al cliente
      Servidor::Valor DisponibleEn(Servidor::Valor tiempo_actual);
};

