/*************** Practica 04. Especificacion clase ColaE **********************
 *
 *  Nombre de Fichero: ColaE.h
 *
 *  Proposito: Declaracion de la interfaz de la clase cola de clientes
 *
 *****************************************************************************/
#ifndef COLA_H
#define COLA_H

const int MAX = 100;           //numero mximo de elementos en la cola

class Cola
{
   public:
      //Tipo de datos de los elementos de la cola
      typedef double Valor;
      //constructor
      Cola (void);
      bool ColaVacia (void);
      bool Encolar (Valor);
      bool Desencolar (Valor &);
      bool PrimeroCola (Valor &);
   private:
      typedef Cola::Valor Vector[MAX];
      Vector info;          //vector donde se guarda la cola
      int ini,fin;          //posicion inicio y fin de cola
      //siguiente elemento de la cola
      int Siguiente (int);
};
#endif //COLA_H
